pro testAVIreader
;test code for reading avi's, mpg's and quicktime movies

;eight bit first
device, decomposed=0

file = 'testing8bit.avi'
oAVIObj = obj_new('KRSgrAVIreader',file, width=width, height=height, numberOfFrames=numberOfFrames, nBits=nBits, $
                    red=red, green=green,blue=blue)
if obj_valid(oAVIobj) ne 1 then stop                    
if nBits ne 8 then stop
tvlct, red,green, blue

window,0,xs=width, ysize=height
for i=0L,(numberOfFrames*5)-1 do begin
  frame = i mod (numberOfFrames-1)
  image = oAVIObj->getFrame(frame)
  tv,image
endfor

obj_destroy, oAVIobj

device, decomposed=1

;24 bit now
file = 'testing24bit.avi'

oAVIObj = obj_new('KRSgrAVIreader',file, width=width, height=height, $
                   numberOfFrames=numberOfFrames, nBits=nBits)
if obj_valid(oAVIobj) ne 1 then stop
if nBits ne 24 then stop

window,0,xs=width, ysize=height
for i=0L,(numberOfFrames*5)-1 do begin
  frame = i mod (numberOfFrames-1)
  image = oAVIObj->getFrame(frame)
  tv,image,/true
endfor

obj_destroy, oAVIobj

;Example program for reading MPEG's. Note that you MUST have the avisynth frame
;server installed.  Available at www.avisynth.org
;YOU WILL NEED TO SUPPLY YOUR OWN MPG FILE HERE
file = 'MOV04766.MPG'

device, decomposed=1

oAVIobj = obj_new('KRSgrAVIreader',file, width=width, height=height, numberOfFrames=numberOfFrames)
if obj_valid(oAVIobj) ne 1 then stop

window,0,xs=width, ysize=height
for frame=0L,numberOfFrames-1 do begin
  image = oAVIobj->getFrame(frame)
  tv,image,/true
endfor

obj_destroy, oAVIobj

;Example program for reading Quicktime's. Note that you MUST have the avisynth frame
;server installed.  Available at www.avisynth.org
;install quicktimealternative http://www.codecguide.com/download_qt.htm

;YOU WILL NEED TO SUPPLY YOUR OWN QUICKTIME FILE HERE
file = 'Sample.mov'

device, decomposed=1

;create the AVI object, (not an IDL object but just a LONG number)
oAVIobj = obj_new('KRSgrAVIreader',file, width=width, height=height, numberOfFrames=numberOfFrames)
if obj_valid(oAVIobj) ne 1 then stop

window,0,xs=width, ysize=height
for frame=0L,numberOfFrames-1 do begin
  image = oAVIobj->getFrame(frame)
  tv,image,/true
endfor

obj_destroy, oAVIobj

return & end
