pro testAviWriter

;example for writing 24 bit AVI images

;codec descriptions can be found at www.fourcc.org or in the accompyaning file
;fourcc.txt
;dmb1 codec is the morgan multimedia motion jpeg codec which I personally prefer.  It is
;not free however.
;codec = 'dmb1'
;if codec is undefined going into obj_new('krsGRaviwriter') then the user chosen value will be
;passed back as a 4 character fourcc code.

device, decomposed=1
window,0,xs=300,ys=400
read_jpeg,filepath('rose.jpg',subdir=['examples','data'] ),roseImage
roseImage = congrid(roseImage,3,300,400)
tv, roseimage,/true

nFrames = 10

file='testing24bit.avi'

;codec = 'dmb1'
oAVIObj = obj_new('krsGRaviwriter', file,300,400, codec=codec, $
            comment='this is a test',framerate=25,quality=25, red=bindgen(124), $
            nBits=24)
if not obj_valid(oAVIObj) then return

for i=0,nFrames-1 DO BEGIN
  status = oAVIObj->addFrame(shift(roseImage,0,i*10,i*10))
  tv,shift(roseImage,0,i*10,i*10),/true
  im = tvrd(/true)
  status =  oAVIObj->addFrame(im)
endfor

obj_destroy, oAVIObj

;8 Bit AVI
device, decomposed=0
loadct,39
window,0,xs=300,ys=400
distImage = (dist(300,400))
tv, distImage
tvlct,red,green,blue,/get

file='testing8bit.avi'
fcchandler = 0
oAVIObj = obj_new('krsGRaviwriter',file,300,400, $
            comment='this is a test',framerate=30,quality=25, red=red, $
            green=green, blue=blue,nBits=8)
if not obj_valid(oAVIObj) then return

nFrames = 10
for i=0,nFrames-1 do begin
 status = oAVIObj->addFrame(shift(distImage,i*10,i*10))
 tv,shift(distImage,i*10,i*10)
endfor

obj_destroy, oAVIObj

return
end
