pro fastAVIdisplaySlider, event

widget_control, event.top, get_uvalue=statePtr
(*statePtr).oAVIobj->displayFrame, event.value

return & end

;{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|

pro fastAVIdisplayCleanup, wBase

widget_control, wBase, get_uvalue=statePtr
obj_destroy, (*statePtr).oAVIobj
ptr_free, statePtr

return & end

;{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|{{:|

pro fastAVIdisplay

file = dialog_pickfile(title='Choose 24 bit movie')
if file eq '' then return

;open the movie file so that we can size, etc
oAVIObj = obj_new('KRSgrAVIreader',file, width=width, height=height, $
                   numberOfFrames=numberOfFrames, nBits=nBits)
                   
if nBits ne 24 then return

wBase = widget_base(/column,title='Fast Movie Display Example')
wDraw = widget_draw(wBase, xsize=width, ysize=height)    
;Note, in IDL7.1 the drag events don't work.  ITTVIS is planning a patch release to fix this.
wSlider = widget_slider(wBase, min=0, max=numberOfFrames-1, /drag, event_pro='fastAVIdisplaySlider')               

widget_control, wBase, /realize
;next device command is an undocumented keyword to obtain the WINDOWS OS window handle. Thanks
;to ITTVIS for releasing this.
device, widget_id=wDraw, get_widget_handle=hWnd
oAVIobj->setProperty, hWnd=hWnd

widget_control, wDraw, get_value=winID

statePtr = ptr_new({oAVIobj:oAVIobj, winID:winID})
widget_control, wBase, set_uvalue=statePtr

xmanager, 'fastAVIdisplay', wBase, /no_Block, cleanup='fastAVIdisplayCleanup'

return & end


